﻿using System;
using System.Collections.Generic;

namespace Benday.UserGroupManager.Common.DataAccess
{
    public interface IRepository<T>
            where T : IInt32Identity
    {
        void GetAll(ReturnResult<IList<T>> result);
        void GetById(int id, ReturnResult<T> result);
        void Save(T saveThis, ReturnResult<T> result);
        void Delete(T deleteThis, ReturnResult<T> result);
    }
}
