using System;
using Benday.UserGroupManager.Common;

namespace Benday.UserGroupManager.UnitTests.Presentation
{
    public class MembershipServiceMock : IMemberService
    {
        public MembershipServiceMock()
        {

        }

        public bool HasSaveBeenCalled { get; private set; }
        public IMember ModelReceivedOnSaveCall { get; private set; }



        #region IMemberService Members

        public void Save(IMember saveThis)
        {
            HasSaveBeenCalled = true;
            ModelReceivedOnSaveCall = saveThis;
        }

        #endregion
    }
}
